Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.usermodel.charts
Class XSSFValueAxis

    java.lang.Object
      org.apache.poi.xssf.usermodel.charts.XSSFChartAxis
          org.apache.poi.xssf.usermodel.charts.XSSFValueAxis

All Implemented Interfaces:
  org.apache.poi.ss.usermodel.charts.ChartAxis, org.apache.poi.ss.usermodel.charts.ValueAxis

    public class XSSFValueAxis

extends XSSFChartAxis
implements org.apache.poi.ss.usermodel.charts.ValueAxis

Value axis type.

Author:
  Roman Kashitsyn

Constructor Summary
`XSSFValueAxis(XSSFChart chart, org.openxmlformats.schemas.drawingml.x2006.chart.CTValAx ctValAx)`
`XSSFValueAxis(XSSFChart chart, long id, org.apache.poi.ss.usermodel.charts.AxisPosition pos)`

Method Summary
`void` | `crossAxis(org.apache.poi.ss.usermodel.charts.ChartAxis axis)`
`org.apache.poi.ss.usermodel.charts.AxisCrossBetween` | `getCrossBetween()`
`long` | `getId()`
`void` | `setCrossBetween(org.apache.poi.ss.usermodel.charts.AxisCrossBetween crossBetween)`

Methods inherited from class org.apache.poi.xssf.usermodel.charts.XSSFChartAxis
`getCrosses, getLogBase, getMaximum, getMinimum, getNumberFormat, getOrientation, getPosition, isSetLogBase, isSetMaximum, isSetMinimum, setCrosses, setLogBase, setMaximum, setMinimum, setNumberFormat, setOrientation, setPosition`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.poi.ss.usermodel.charts.ChartAxis
`getCrosses, getLogBase, getMaximum, getMinimum, getNumberFormat, getOrientation, getPosition, isSetLogBase, isSetMaximum, isSetMinimum, setCrosses, setLogBase, setMaximum, setMinimum, setNumberFormat, setOrientation, setPosition`

Constructor Detail

### XSSFValueAxis

    public XSSFValueAxis(XSSFChart chart,
                         long id,
                         org.apache.poi.ss.usermodel.charts.AxisPosition pos)

### XSSFValueAxis

    public XSSFValueAxis(XSSFChart chart,
                         org.openxmlformats.schemas.drawingml.x2006.chart.CTValAx ctValAx)

Method Detail

### getId

    public long getId()

  Specified by:
    `getId` in interface `org.apache.poi.ss.usermodel.charts.ChartAxis`

### setCrossBetween

    public void setCrossBetween(org.apache.poi.ss.usermodel.charts.AxisCrossBetween crossBetween)

  Specified by:
    `setCrossBetween` in interface `org.apache.poi.ss.usermodel.charts.ValueAxis`

### getCrossBetween

    public org.apache.poi.ss.usermodel.charts.AxisCrossBetween getCrossBetween()

  Specified by:
    `getCrossBetween` in interface `org.apache.poi.ss.usermodel.charts.ValueAxis`

### crossAxis

    public void crossAxis(org.apache.poi.ss.usermodel.charts.ChartAxis axis)

  Specified by:
    `crossAxis` in interface `org.apache.poi.ss.usermodel.charts.ChartAxis`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD